Commerce · Commerce
Fetches a store. Works with Shopify and WooCommerce accounts.
https://api.pozy.ai/v1/commerce/storeGuides: Orders, Commerce & blogs, Products and catalog
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the commerce resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/commerce/store?accountId=696e0b682d0a31188e7a2ba9" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/commerce/store?accountId=696e0b682d0a31188e7a2ba9", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/commerce/store",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
storeobject10 child fields
accountIdstringrequiredplatformstringrequiredOne of
shopify,woocommerce.namestringrequireddomainstringrequiredurlstringrequiredCan be null.
currencystringrequiredcountrystringrequiredCan be null.
capabilitiesarray of stringrequiredEach item: one of
products.read,products.create,products.update,products.status,products.price,products.variants,products.images,products.images_remove,collections.read,collections.write,collections.metafields,metafields.read,metafields.write,pages.read,pages.write,inventory.read,inventory.write,channels.read,channels.write,discounts.read,discounts.write,discounts.codes,navigation.read,navigation.writeand 6 more.missingCapabilitiesarray of stringrequiredEach item: one of
products.read,products.create,products.update,products.status,products.price,products.variants,products.images,products.images_remove,collections.read,collections.write,collections.metafields,metafields.read,metafields.write,pages.read,pages.write,inventory.read,inventory.write,channels.read,channels.write,discounts.read,discounts.write,discounts.codes,navigation.read,navigation.writeand 6 more.grantPermissionsUrlstringrequiredCan be null.
{
"store": {
"accountId": "696e0b682d0a31188e7a2ba9",
"platform": "shopify",
"name": "Acme",
"domain": "string",
"url": "https://pozy.ai/media/example-1.jpg",
"currency": "USD",
"country": "US",
"capabilities": [
"products.read"
],
"missingCapabilities": [
"products.read"
],
"grantPermissionsUrl": "https://pozy.ai/media/example-1.jpg"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.